aboutsummaryrefslogtreecommitdiff
path: root/package/collectd
diff options
context:
space:
mode:
authorGravatar Fabrice Fontaine <fontaine.fabrice@gmail.com>2018-06-23 17:32:32 +0200
committerGravatar Peter Korsgaard <peter@korsgaard.com>2018-06-24 08:36:04 +0200
commit5dd74dbd1abbe87e0e792e2922a06909af279b3b (patch)
tree39f5bb3963e9e4197534238da31f4de609c1c498 /package/collectd
parentc4e4110d22332fd35d629259ccdfe9b934c9c633 (diff)
downloadbuildroot-5dd74dbd1abbe87e0e792e2922a06909af279b3b.tar.gz
buildroot-5dd74dbd1abbe87e0e792e2922a06909af279b3b.tar.bz2
protobuf: add dependency on gcc >= 4.8
Since version 3.6.0, protobuf requires C++11 Fixes: - http://autobuild.buildroot.net/results/bb299008423edf4c65ade6c159e33c4216428bf1 Signed-off-by: Fabrice Fontaine <fontaine.fabrice@gmail.com> Signed-off-by: Peter Korsgaard <peter@korsgaard.com>
Diffstat (limited to 'package/collectd')
-rw-r--r--package/collectd/Config.in8
1 files changed, 4 insertions, 4 deletions
diff --git a/package/collectd/Config.in b/package/collectd/Config.in
index ccd3fbe13f..c9e61a5622 100644
--- a/package/collectd/Config.in
+++ b/package/collectd/Config.in
@@ -559,7 +559,7 @@ config BR2_PACKAGE_COLLECTD_RIEMANN
# riemann-c-client -> protobuf-c
depends on BR2_INSTALL_LIBSTDCPP
depends on BR2_HOSTARCH = "x86_64" || BR2_HOSTARCH = "x86"
- depends on BR2_HOST_GCC_AT_LEAST_4_5
+ depends on BR2_HOST_GCC_AT_LEAST_4_8
select BR2_PACKAGE_RIEMANN_C_CLIENT
select BR2_PACKAGE_LIBTOOL
help
@@ -588,15 +588,15 @@ config BR2_PACKAGE_COLLECTD_WRITEPROMETHEUS
bool "write_prometheus"
depends on BR2_INSTALL_LIBSTDCPP # protobuf-c
depends on BR2_HOSTARCH = "x86_64" || BR2_HOSTARCH = "x86" # protobuf-c
- depends on BR2_HOST_GCC_AT_LEAST_4_5 # protobuf-c
+ depends on BR2_HOST_GCC_AT_LEAST_4_8 # protobuf-c
select BR2_PACKAGE_LIBMICROHTTPD
select BR2_PACKAGE_PROTOBUF_C
help
Publishes values using an embedded HTTP server, in a format
compatible with Prometheus' collectd_exporter.
-comment "write_prometheus needs a toolchain w/ C++, host gcc >= 4.5"
- depends on !BR2_INSTALL_LIBSTDCPP || !BR2_HOST_GCC_AT_LEAST_4_5
+comment "write_prometheus needs a toolchain w/ C++, host gcc >= 4.8"
+ depends on !BR2_INSTALL_LIBSTDCPP || !BR2_HOST_GCC_AT_LEAST_4_8
depends on BR2_HOSTARCH = "x86_64" || BR2_HOSTARCH = "x86"
config BR2_PACKAGE_COLLECTD_WRITESENSU